from typing import Any

import msgspec


class ImageAttachment(msgspec.Struct):
    name: str
    content: str
    type: str


class FormData(msgspec.Struct):
    fields: dict[str, Any]
    attachments: list[ImageAttachment]
